# GraphQL

With the Spydra GraphQL Engine, you get powerful queries right out of the box. As soon as you create assets on the ledger, you'll be able to query the asset and all related deeply nested data easily with the power of GraphQL. You'll also be able to aggregate, filter, and paginate results.

All of this is auto-generated and is available over a single GraphQL endpoint

{% code title="Base URL" %}

```
https://<membership_id>.spydra.app/tokenize/<app_id>/graphql

Get the base URL from Network -> Deployed Apps -> App -> GraphQL API page.
Select your organization at the top right of this page.
Alternatively, you can form the URL by getting the <membership_id> by navigating
to Network -> Members page and getting the <app_id> by navigating to the Network -> 
Deployed Apps -> App Overview page.

```

{% endcode %}

{% hint style="info" %}
You can register API Keys at the Network level and use them to access the GraphQL API endpoints.\
\
[API Key](/developers/api-key.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spydra.app/developers/api-reference/asset-tokenization/graphql.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
